Name:           lato-fonts
Version:        2.015
Release:        10
Summary:        A sanserif typeface family
License:        OFL-1.1
URL:            http://www.latofonts.com/
Source0:        https://www.latofonts.com/download/lato2ofl-zip/lato2ofl-zip
Source1:        lato-fonts-fontconfig.conf
Source2:        lato.metainfo.xml
BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Provides:       google-lato-fonts = 2.015-7
Obsoletes:      google-lato-fonts < 1.014-1
%description
Lato is a sanserif typeface family. It consists of nine weights and covers
2300+ glyphs per style and supports 100+ Latin-based languages, 50+
Cyrillic-based languages as well as Greek and IPA phonetics.

%prep
%setup -q -c
sed "s/\r//" Lato2OFL/OFL.txt > Lato2OFL/OFL.txt.new
touch -r Lato2OFL/OFL.txt Lato2OFL/OFL.txt.new
mv Lato2OFL/OFL.txt.new Lato2OFL/OFL.txt
chmod 0644 Lato2OFL/{OFL.txt,README.txt}

%build

%install
install -m 0755 -d $RPM_BUILD_ROOT%{_fontdir}
install -m 0644 -p Lato2OFL/*.ttf $RPM_BUILD_ROOT%{_fontdir}
install -m 0755 -d $RPM_BUILD_ROOT%{_fontconfig_templatedir} $RPM_BUILD_ROOT%{_fontconfig_confdir}
install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/61-lato.conf
ln -s %{_fontconfig_templatedir}/61-lato.conf $RPM_BUILD_ROOT%{_fontconfig_confdir}/61-lato.conf
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/lato.metainfo.xml

%_font_pkg -f 61-lato.conf *.ttf
%doc Lato2OFL/README.txt
%license Lato2OFL/OFL.txt
%{_datadir}/appdata/lato.metainfo.xml

%changelog
* Wed May 25 2022 chendexi <chendexi@kylinos.cn> - 2.015-10
- Change the license to "OFL-1.1"

* Tue Sep 29 2020 baizhonggui <baizhonggui@huawei.com> - 2.015-9
- Modify source0

* Wed Jan 15 2020 lihao <lihao129@huawei.com> - 2.015-8
- Bump release number

* Tue Nov 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.015-7
- Package init
